%define	version	0.6
%define release	2mdk

Summary:	GUI search/replace tool supporting Perl regular expression
Name:		regexxer
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Text tools
URL:		http://regexxer.sourceforge.net/
# http://download.sourceforge.net/regexxer/regexxer-%{version}.tar.gz
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	pcre-devel >= 3.9
BuildRequires:	gtkmm2.0-devel >= 2.2.8
BuildRequires:	gconfmm2.0-devel >= 2.0.0
BuildRequires:	gnome-vfsmm-devel >= 1.3.5
BuildRequires:	ImageMagick

%description
%{name} is a nifty search/replace tool for the desktop user.  It features
recursive search through directory trees and Perl-style regular expressions
(using libpcre).

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 longtitle="%{summary}" \
 needs="x11" \
 section="More applications/Development/Tools" \
 title="Regexxer"
_EOF_

#icons
mkdir -p %{buildroot}%{_iconsdir} \
         %{buildroot}%{_miconsdir}
install -D -m 644       pixmaps/regexxer.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/regexxer.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/regexxer.png %{buildroot}%{_miconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.6-2mdk
- Fix menu

* Fri Dec 12 2003 Abel Cheung <deaddog@deaddog.org> 0.6-1mdk
- New release

* Wed Nov 12 2003 Abel Cheung <deaddog@deaddog.org> 0.5-1mdk
- First Mandrake package
